[Debian-live-changes] r1474 - dists/trunk/live-initramfs/scripts/live-bottom

Daniel Baumann daniel at alioth.debian.org
Fri May 11 20:27:02 UTC 2007


Author: daniel
Date: 2007-05-11 20:27:02 +0000 (Fri, 11 May 2007)
New Revision: 1474

Added:
   dists/trunk/live-initramfs/scripts/live-bottom/01-integrity-check
   dists/trunk/live-initramfs/scripts/live-bottom/02-live-conf
   dists/trunk/live-initramfs/scripts/live-bottom/03-mount-root
Removed:
   dists/trunk/live-initramfs/scripts/live-bottom/00integrity-check
   dists/trunk/live-initramfs/scripts/live-bottom/01live.conf
   dists/trunk/live-initramfs/scripts/live-bottom/05mountpoints
Log:


Deleted: dists/trunk/live-initramfs/scripts/live-bottom/00integrity-check
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/00integrity-check	2007-05-11 19:37:38 UTC (rev 1473)
+++ dists/trunk/live-initramfs/scripts/live-bottom/00integrity-check	2007-05-11 20:27:02 UTC (rev 1474)
@@ -1,26 +0,0 @@
-#!/bin/sh
-
-set -e
-
-# initramfs-tools header
-
-PREREQ=""
-
-prereqs()
-{
-	echo "${PREREQ}"
-}
-
-case "${1}" in
-	prereqs)
-		prereqs
-		exit 0
-		;;
-esac
-
-# md5check script
-
-if [ -n "${INTEGRITY_CHECK}" ]
-then
-	live-md5check /live_media /live_media/md5sum.txt < /dev/tty8
-fi

Copied: dists/trunk/live-initramfs/scripts/live-bottom/01-integrity-check (from rev 1473, dists/trunk/live-initramfs/scripts/live-bottom/00integrity-check)
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/00integrity-check	2007-05-11 19:37:38 UTC (rev 1473)
+++ dists/trunk/live-initramfs/scripts/live-bottom/01-integrity-check	2007-05-11 20:27:02 UTC (rev 1474)
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -e
+
+# initramfs-tools header
+
+PREREQ=""
+
+prereqs()
+{
+	echo "${PREREQ}"
+}
+
+case "${1}" in
+	prereqs)
+		prereqs
+		exit 0
+		;;
+esac
+
+# integrity-check script
+
+if [ -n "${INTEGRITY_CHECK}" ]
+then
+	live-md5check /live_media /live_media/md5sum.txt < /dev/tty8
+fi

Deleted: dists/trunk/live-initramfs/scripts/live-bottom/01live.conf
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/01live.conf	2007-05-11 19:37:38 UTC (rev 1473)
+++ dists/trunk/live-initramfs/scripts/live-bottom/01live.conf	2007-05-11 20:27:02 UTC (rev 1474)
@@ -1,53 +0,0 @@
-#!/bin/sh
-
-set -e
-
-# initramfs-tools header
-
-PREREQ=""
-
-prereqs()
-{
-	echo "${PREREQ}"
-}
-
-case "${1}" in
-	prereqs)
-		prereqs
-		exit 0
-		;;
-esac
-
-# live-initramfs header
-
-. /scripts/live-functions
-
-log_begin_msg "Processing configuration file..."
-
-# live.conf script
-
-if [ -f /etc/live.conf ]
-then
-	if [ -n "${LIVECONF}" ]
-	then
-		# Updating already existing live.conf with bootparameter values
-		sed -i	-e 's/\(USERNAME="\).*"/\1'"${USERNAME}"'"/g' \
-			-e 's/\(USERFULLNAME="\).*"/\1'"${USERFULLNAME}"'"/g' \
-			-e 's/\(HOSTNAME="\).*"/\1'"${HOSTNAME}"'"/g' \
-		/etc/live.conf
-	fi
-
-	# Copying already existing live.conf
-	cp -p /etc/live.conf /root/etc/live.conf
-else
-
-# Writing new live.conf with default values
-cat > /root/etc/live.conf << EOF
-export USERNAME="$USERNAME"
-export USERFULLNAME="$USERFULLNAME"
-export HOSTNAME="$HOSTNAME"
-EOF
-
-fi
-
-log_end_msg

Copied: dists/trunk/live-initramfs/scripts/live-bottom/02-live-conf (from rev 1473, dists/trunk/live-initramfs/scripts/live-bottom/01live.conf)

Copied: dists/trunk/live-initramfs/scripts/live-bottom/03-mount-root (from rev 1473, dists/trunk/live-initramfs/scripts/live-bottom/05mountpoints)
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/05mountpoints	2007-05-11 19:37:38 UTC (rev 1473)
+++ dists/trunk/live-initramfs/scripts/live-bottom/03-mount-root	2007-05-11 20:27:02 UTC (rev 1474)
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+set -e
+
+# initramfs-tools header
+
+PREREQ=""
+
+prereqs()
+{
+	echo "${PREREQ}"
+}
+
+case "${1}" in
+	prereqs)
+		prereqs
+		exit 0
+		;;
+esac
+
+# live-initramfs header
+
+. /scripts/live-functions
+
+log_begin_msg "Moving mount points..."
+
+# mount-root script
+
+# Move to the new root filesystem so that programs there can get at it
+if [ ! -d /root/live_media ]
+then
+	mkdir -p /root/live_media
+	mount -n -o move /live_media /root/live_media
+fi
+
+log_end_msg

Deleted: dists/trunk/live-initramfs/scripts/live-bottom/05mountpoints
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/05mountpoints	2007-05-11 19:37:38 UTC (rev 1473)
+++ dists/trunk/live-initramfs/scripts/live-bottom/05mountpoints	2007-05-11 20:27:02 UTC (rev 1474)
@@ -1,36 +0,0 @@
-#!/bin/sh
-
-set -e
-
-# initramfs-tools header
-
-PREREQ=""
-
-prereqs()
-{
-	echo "${PREREQ}"
-}
-
-case "${1}" in
-	prereqs)
-		prereqs
-		exit 0
-		;;
-esac
-
-# live-initramfs header
-
-. /scripts/live-functions
-
-log_begin_msg "Moving mount points..."
-
-# mountpoints script
-
-# Move to the new root filesystem so that programs there can get at it.
-if [ ! -d /root/live_media ]
-then
-	mkdir -p /root/live_media
-	mount -n -o move /live_media /root/live_media
-fi
-
-log_end_msg




More information about the Debian-live-changes mailing list